com.gisgraphy.geoloc

## Class GeolocSearchEngine

- java.lang.Object
- - com.gisgraphy.geoloc.GeolocSearchEngine

- All Implemented Interfaces:
    com.gisgraphy.geocoloc.IGeolocSearchEngine, com.gisgraphy.service.IQueryProcessor<com.gisgraphy.geoloc.GeolocQuery>

      public class GeolocSearchEngine
      extends Object
      implements com.gisgraphy.geocoloc.IGeolocSearchEngine

  Default (threadsafe) implementation of `IGeolocSearchEngine`.
  Author:
    David Masclet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `disableLogging` very usefull when import is running
    `protected static org.slf4j.Logger` | `logger` The logger

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeolocSearchEngine()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `executeAndSerialize(com.gisgraphy.geoloc.GeolocQuery query, OutputStream outputStream)`
    `com.gisgraphy.geoloc.GeolocResultsDto` | `executeQuery(com.gisgraphy.geoloc.GeolocQuery query)`
    `String` | `executeQueryToString(com.gisgraphy.geoloc.GeolocQuery query)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### disableLogging

          public static boolean disableLogging

      very usefull when import is running

    - #### logger

          protected static final org.slf4j.Logger logger

      The logger

  - ### Constructor Detail

    - #### GeolocSearchEngine

          public GeolocSearchEngine()

  - ### Method Detail

    - #### executeQuery

          public com.gisgraphy.geoloc.GeolocResultsDto executeQuery(com.gisgraphy.geoloc.GeolocQuery query)
                                                             throws com.gisgraphy.service.ServiceException

      Specified by:
        `executeQuery` in interface `com.gisgraphy.geocoloc.IGeolocSearchEngine`
      Throws:
        `com.gisgraphy.service.ServiceException`

    - #### executeAndSerialize

          public void executeAndSerialize(com.gisgraphy.geoloc.GeolocQuery query,
                                 OutputStream outputStream)
                                   throws com.gisgraphy.service.ServiceException

      Specified by:
        `executeAndSerialize` in interface `com.gisgraphy.service.IQueryProcessor<com.gisgraphy.geoloc.GeolocQuery>`
      Throws:
        `com.gisgraphy.service.ServiceException`

    - #### executeQueryToString

          public String executeQueryToString(com.gisgraphy.geoloc.GeolocQuery query)
                                      throws com.gisgraphy.service.ServiceException

      Specified by:
        `executeQueryToString` in interface `com.gisgraphy.service.IQueryProcessor<com.gisgraphy.geoloc.GeolocQuery>`
      Throws:
        `com.gisgraphy.service.ServiceException`

Copyright © 2015. All rights reserved.